org.apache.ignite.internal.cache.query.index.sorted.inline.io

## Interface MvccIO

All Known Subinterfaces:
  InlineIO

All Known Implementing Classes:
  AbstractInlineInnerIO, AbstractInlineLeafIO, AbstractInnerIO, AbstractLeafIO, InlineInnerIO, InlineLeafIO, InnerIO, LeafIO, MvccInlineInnerIO, MvccInlineLeafIO, MvccInnerIO, MvccLeafIO

    public interface MvccIO

This interface represents MVCC aware IO.

### Method Summary

All Methods Instance Methods Default Methods
`default long` `mvccCoordinatorVersion(long pageAddr, int idx)`
`default long` `mvccCounter(long pageAddr, int idx)`
`default int` `mvccOperationCounter(long pageAddr, int idx)`
`default boolean` `storeMvccInfo()`

### Method Detail

#### mvccCoordinatorVersion

    default long mvccCoordinatorVersion(long pageAddr,
                                        int idx)

Parameters:
  `pageAddr` - Page address.
  `idx` - Index.
Returns:
  Mvcc coordinator version.

#### mvccCounter

    default long mvccCounter(long pageAddr,
                             int idx)

Parameters:
  `pageAddr` - Page address.
  `idx` - Index.
Returns:
  Mvcc counter.

#### mvccOperationCounter

    default int mvccOperationCounter(long pageAddr,
                                     int idx)

Parameters:
  `pageAddr` - Page address.
  `idx` - Index.
Returns:
  Mvcc operation counter.

#### storeMvccInfo

    default boolean storeMvccInfo()

Returns:
  `True` if IO stores mvcc information.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022